# WOK
TKWOK
WOKernel

# WOKernel_DBMSystem Class Reference

`#include <WOKernel_DBMSystem.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT WOKernel_DBMSID | GetID (const Handle(TCollection_HAsciiString)&astring)
static Standard_EXPORT Standard_Boolean | IsNameKnown (const Handle(TCollection_HAsciiString)&astring)
static Standard_EXPORT Handle_TCollection_HAsciiString | GetName (const WOKernel_DBMSID anid)
static Standard_EXPORT Handle_WOKernel_HSequenceOfDBMSID | GetHSeqOfDBMS (const Handle(TCollection_HAsciiString)&astr)

## Member Function Documentation

static Standard_EXPORT Handle_WOKernel_HSequenceOfDBMSID WOKernel_DBMSystem::GetHSeqOfDBMS | ( | const Handle(TCollection_HAsciiString)& | astr | ) | `[static]`

static Standard_EXPORT WOKernel_DBMSID WOKernel_DBMSystem::GetID | ( | const Handle(TCollection_HAsciiString)& | astring | ) | `[static]`

static Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_DBMSystem::GetName | ( | const WOKernel_DBMSID | anid | ) | `[static]`

static Standard_EXPORT Standard_Boolean WOKernel_DBMSystem::IsNameKnown | ( | const Handle(TCollection_HAsciiString)& | astring | ) | `[static]`

void WOKernel_DBMSystem::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKernel_DBMSystem::operator new | ( | size_t | size | ) | `[inline]`

void* WOKernel_DBMSystem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- WOKernel_DBMSystem.hxx